=== modified file 'bzrlib/delta.py'
--- bzrlib/delta.py	2007-02-06 16:09:26 +0000
+++ bzrlib/delta.py	2007-02-06 17:12:12 +0000
@@ -318,7 +318,9 @@
         elif kind[1] is not None:
             path += osutils.kind_marker(kind[1])
         if old_path != "":
-            old_path += "%s => " % osutils.kind_marker(kind[0])
+            if kind[0] is not None:
+                old_path += osutils.kind_marker(kind[0])
+            old_path += " => "
         if exe_change:
             exe = '*'
         else:

=== modified file 'bzrlib/tests/test_delta.py'
--- bzrlib/tests/test_delta.py	2007-02-06 16:09:26 +0000
+++ bzrlib/tests/test_delta.py	2007-02-06 17:12:12 +0000
@@ -56,6 +56,8 @@
     def test_rename(self):
         self.assertReport('R   old => path', renamed=True, old_path='old')
         self.assertReport('    path')
+        self.assertReport('RN  old => path', renamed=True, old_path='old',
+                          modified='created', kind=(None, 'file'))
 
     def test_kind(self):
         self.assertReport(' K  path => path/', modified='kind changed',

